/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#include "meta.pmh"
#include "platform/dlCore.cc"

extern "C"
{

FE_DL_EXPORT void ListDependencies(fe::List<fe::String*>& list)
{
//	printf("HoudiniDL ListDependencies\n");

#ifdef FE_USE_GRAPHVIZ
	list.append(new fe::String("fexGraphVizDL"));
#endif

	list.append(new fe::String("fexOpenGLDL"));
	list.append(new fe::String("fexOperateDL"));
	list.append(new fe::String("fexSurfaceDL"));
}

FE_DL_EXPORT fe::Library* CreateLibrary(fe::sp<fe::Master>)
{
//	printf("HoudiniDL CreateLibrary\n");
	fe::Library *pLibrary = new fe::Library();
	return pLibrary;
}

}
